# Contact

Namespace: **Wisej.Hybrid.Shared.Communication**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Represents a contact on the user's device.

{% tabs %}
{% tab title="C#" %}

```csharp
public class Contact
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class Contact
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)Contact()

Initializes a new instance of the [Contact](/hybrid/start/api/communication/wisej.hybrid.shared.communication.contact.md) class.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Contact(id, namePrefix, givenName, middleName, familyName, nameSuffix, phones, email, displayName)

Initializes a new instance of the [Contact](/hybrid/start/api/communication/wisej.hybrid.shared.communication.contact.md) class with the given data.

| Name            | Type                                                                                                         | Description                                      |
| --------------- | ------------------------------------------------------------------------------------------------------------ | ------------------------------------------------ |
| **id**          | [String](https://docs.microsoft.com/dotnet/api/system.string)                                                | The identifier of the contact.                   |
| **namePrefix**  | [String](https://docs.microsoft.com/dotnet/api/system.string)                                                | The prefix of the contact.                       |
| **givenName**   | [String](https://docs.microsoft.com/dotnet/api/system.string)                                                | The given name (or first name) of the contact.   |
| **middleName**  | [String](https://docs.microsoft.com/dotnet/api/system.string)                                                | The middle name(s) of the contact.               |
| **familyName**  | [String](https://docs.microsoft.com/dotnet/api/system.string)                                                | The family name (or last name) of the contact.   |
| **nameSuffix**  | [String](https://docs.microsoft.com/dotnet/api/system.string)                                                | The suffix of the contact.                       |
| **phones**      | [IEnumerable\<ContactPhone>](https://docs.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1) | A collection of phone numbers for the contact.   |
| **email**       | [IEnumerable\<ContactEmail>](https://docs.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1) | A collection of email addresses for the contact. |
| **displayName** | [String](https://docs.microsoft.com/dotnet/api/system.string)                                                | The display name of the contact.                 |

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)DisplayName

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the display name of the contact.

If no display name is set, a display name is inferred from [GivenName](#givenname) and [FamilyName](#familyname).

### ![](/files/CCV9PPenlC1YZvNh1I6R)Emails

[List\<ContactEmail>](https://docs.microsoft.com/dotnet/api/system.collections.generic.list-1): Gets or sets a collection of email addresses of the contact.

### ![](/files/CCV9PPenlC1YZvNh1I6R)FamilyName

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the family name (or last name) of the contact.

### ![](/files/CCV9PPenlC1YZvNh1I6R)GivenName

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the given name (or first name) of the contact.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Id

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the identifier of the contact.

### ![](/files/CCV9PPenlC1YZvNh1I6R)MiddleName

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the middle name(s) of the contact.

### ![](/files/CCV9PPenlC1YZvNh1I6R)NamePrefix

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the name prefix of the contact.

### ![](/files/CCV9PPenlC1YZvNh1I6R)NameSuffix

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the name suffix of the contact.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Phones

[List\<ContactPhone>](https://docs.microsoft.com/dotnet/api/system.collections.generic.list-1): Gets or sets a collection of phone numbers of the contact.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/communication/wisej.hybrid.shared.communication.contact.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
